using System;
using System.Collections.Generic;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
	private const int PageSize = 2;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected void RadScheduler1_DataBound(object sender, EventArgs e)
	{
		int pageIndex = (int?) ViewState["PageIndex"] ?? 0;

		IList<Resource> pagedResources = new List<Resource>(RadScheduler1.Resources.GetResourcesByType("Room"));
		int resourceCount = pagedResources.Count;
		int pageStart = pageIndex * PageSize;
		int pageEnd = pageStart + PageSize;

		int resourceIndex = 0;
		foreach (Resource resource in pagedResources)
		{
			if (resourceIndex < pageStart || resourceIndex >= pageEnd)
			{
				RadScheduler1.Resources.Remove(resource);
			}
			resourceIndex++;
		}

		PagingStatus.Text = string.Format("Showing rooms {0} to {1} of {2} total.", pageStart + 1, pageEnd, resourceCount);

		int pageCount = resourceCount / PageSize;
		NextPage.Enabled = pageIndex < pageCount;
		PrevPage.Enabled = pageIndex > 0;
	}

	protected void NextPage_Click(object sender, EventArgs e)
	{
		int pageIndex = (int?) ViewState["PageIndex"] ?? 0;
		pageIndex++;
		ViewState["PageIndex"] = pageIndex;

		RadScheduler1.Rebind();
	}

	protected void PrevPage_Click(object sender, EventArgs e)
	{
		int pageIndex = (int?) ViewState["PageIndex"] ?? 0;
		pageIndex = Math.Max(pageIndex - 1, 0);
		ViewState["PageIndex"] = pageIndex;

		RadScheduler1.Rebind();
	}
}